//			Copyright (c) 1993 by
//			Advanced Visual Systems Inc.
//			All Rights Reserved
//
//	This software comprises unpublished confidential information of
//	Advanced Visual Systems Inc. and may not be used, copied or made
//	available to anyone, except in accordance with the license
//	under which it is furnished.
//
//	This file is under Perforce control
//	$Id: //depot/express/fcs992/include/avs/ag/contvp.hxx#1 $
//

// contvp.hxx - Header file for AgContourViewport class
 
//----------------------------------------------------------------------
#ifndef AG_CONTVP_HXX
#define AG_CONTVP_HXX

#ifndef CXXUTIL_ATTR_HXX
#include <avs/cxxutl/attr.hxx>
#endif

#ifndef CXXUTIL_DEBUG_HXX
#include <avs/cxxutl/debug.hxx>
#endif

#ifndef AG_VIEWPORT_HXX
#include "viewport.hxx"
#endif

//----------------------------------------------------------------------
// Forward class declaration(s)
//----------------------------------------------------------------------
class AgContourLegend;
class AgIsolineLegend;

//----------------------------------------------------------------------
class AgContourViewport : public AgViewport 
//----------------------------------------------------------------------
{
  public:
    AgContourViewport();
    ~AgContourViewport() {
        if (debug()) printf("DELETING AgContourViewport\n");
    }
    virtual void print() {printf("AgContourViewport ");}

  protected:
    virtual void _updateThis(int first);

  private:
};

#endif
